Skip to main content
`Ctrl`+`K`

# PetscTimeAdd

Adds the current time (in seconds) to the value `v`.

## Synopsis

    static inline PetscErrorCode PetscTimeAdd(PetscLogDouble *v)

Not Collective

## Input Parameter

- v - time counter

## Output Parameter

- v - time counter (`v` = `v` + current time)

## Note

Since the PETSc libraries incorporate timing of phases and operations, we do not ever recommend using `PetscTimeAdd()`. The options database command `-log_view` activates PETSc library timing.

## See Also

`PetscTime()`, `PetscTimeSubtract()`, `PetscLogStageRegister()`, `PetscLogEventRegister()`, `PetscLogEventBegin()`, `PetscLogEventEnd()`

## Level

developer

## Location

include/petsctime.h

## Examples

src/sys/tutorials/ex7.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages